package com.dgtly.wxportal.service;

import com.dgtly.wxportal.domain.WxQyUser;
import java.util.List;

/**
 * 企业微信用户信息Service接口
 * 
 * @author dgtly
 * @date 2020-06-29
 */
public interface IWxQyUserService 
{
    /**
     * 根据系统用户id解除微信绑定
     * @param userId
     * @return
     */
    int bondedSysUserBySysUserId(Long userId);

    /**
     * 查询企业微信用户信息
     * 
     * @param userid 企业微信用户信息ID
     * @return 企业微信用户信息
     */
    public WxQyUser selectWxQyUserById(String userid);

    public WxQyUser selectWxQyUserBySysUserId(String userId);

    /**
     * 查询企业微信用户信息列表
     * 
     * @param wxQyUser 企业微信用户信息
     * @return 企业微信用户信息集合
     */
    public List<WxQyUser> selectWxQyUserList(WxQyUser wxQyUser);

    /**
     * 新增企业微信用户信息
     * 
     * @param wxQyUser 企业微信用户信息
     * @return 结果
     */
    public int insertWxQyUser(WxQyUser wxQyUser);

    /**
     * 修改企业微信用户信息
     * 
     * @param wxQyUser 企业微信用户信息
     * @return 结果
     */
    public int updateWxQyUser(WxQyUser wxQyUser);

    /**
     * 批量删除企业微信用户信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteWxQyUserByIds(String ids);

    /**
     * 删除企业微信用户信息信息
     * 
     * @param userid 企业微信用户信息ID
     * @return 结果
     */
    public int deleteWxQyUserById(String userid);


}
